Skip to main content
GET
/
api
/
sync
/
v1
/
products
List Products For Sync
curl --request GET \
  --url https://api.example.com/api/sync/v1/products
{
  "products": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "slug": "<string>",
      "description": "<string>",
      "vendor": "<string>",
      "product_type": "<string>",
      "tags": [
        "<string>"
      ],
      "price": "<string>",
      "compare_at_price": "<string>",
      "currency": "<string>",
      "images": [
        {}
      ],
      "has_variants": true,
      "options": [
        {}
      ],
      "variants": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "sku": "<string>",
          "barcode": "<string>",
          "option1": "<string>",
          "option2": "<string>",
          "option3": "<string>",
          "price": "<string>",
          "compare_at_price": "<string>",
          "inventory_quantity": 123,
          "available": true,
          "image_url": "<string>",
          "weight": "<string>",
          "weight_unit": "<string>"
        }
      ],
      "in_stock": true,
      "status": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "has_more": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-Stella-Site-Id
string | null
X-Sync-Secret
string | null
X-Site-ID
string | null

Query Parameters

updated_since
string<date-time> | null
page
integer
default:1
Required range: x >= 1
limit
integer
default:100
Required range: 1 <= x <= 500

Response

Successful Response

Paginated product list for sync.

products
SyncProductResponse · object[]
required
total
integer
required
page
integer
required
limit
integer
required
has_more
boolean
required